<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<jsp:include page="../../inc.jsp"></jsp:include>
<script type="text/javascript" charset="utf-8">
	var datagrid;
	$(function() {

		datagrid = $('#perattendancedatagrid')
				.datagrid(
						{
							url : 'perattendance!datagrid.do',
							pagination : true,
							pagePosition : 'bottom',
							pageSize : 20,
							pageList : [ 20, 40, 60, 80, 100, 120, 140, 160,
									200 ],
							fit : true,
							fitColumns : true,
							nowrap : true,
							border : false,
							idField : 'id',
							sortName : 'intime',
							sortOrder : 'desc',
							checkOnSelect : true,
							selectOnCheck : true,
							frozenColumns : [ [ {
								title : '编号',
								field : 'id',
								width : 10,
								sortable : true,
								checkbox : true
							} ] ],
							columns : [ [ {
								title : '人员编号',
								field : 'personcode',
								width : 120,

							}, {
								title : '人员姓名',
								field : 'personname',
								width : 120,

							}, {
								title : '入井时间',
								field : 'intime',
								width : 120,

							}, {
								title : '出井时间',
								field : 'outtime',
								width : 120,
								formatter : function(value, row, index) {
									if (value == "1970-01-01 00:00:00") {
										return "";

									} else {
										return value;
									}
								}
							}, {
								title : '时长',
								field : 'staytime',
								width : 120
							}, {
								title : '状态',
								field : 'flag',
								width : 120,
								formatter : function(value, row, index) {
									if (value == "0") {
										return "正常";
									} else if (value == "1") {
										//return "<font color='red'>未读到入井信息</font>";
										return "正常";
									} else if (value == "2") {
										//return "<font color='red'>未读到升井信息</font>";
										return "正常";
									} else if (value == "3") {
										//return "<font color='red'>未读到升井信息</font>";
										return "正常";
									}
								}
							} ] ],

							toolbar : [ {
								text : '导出',
								iconCls : 'icon-edit',
								handler : function() {
									exportd();
								}
							}, '-' ],
							onDblClickRow : function(rowIndex, rowData) { //双击行弹框编辑
								//被编辑列高亮，其他列去除高亮
								// alert(rowIndex);
								// alert(rowData.personcode);
								// alert(rowData.intime);
								// alert(rowData.outtime);
								// 打开三维界面 传值 ：人员编号   开始时间   结束时间  以供三维反查回来

								$("<div/>")
										.dialog(
												{
													id : "ui_readinfo_dialog",
													href : "general/admin/readinfohis.jsp",
													title : rowData.personname
															+ "--"
															+ rowData.intime
															+ "至"
															+ rowData.outtime
															+ "历史轨迹",
													height : 600,
													width : 800,
													modal : true,
													onLoad : function() {
														$("#ui_readinfo_search")
																.datagrid(
																		{ //初始化datagrid
																			url : 'readinfo!datagrid.do?personcode='
																					+ rowData.personcode
																					+ '&readtimeStart='
																					+ rowData.intime
																					+ '&readtimeEnd='
																					+ rowData.outtime,
																			iconCls : 'icon-save',
																			pagination : true,
																			pagePosition : 'bottom',
																			pageSize : 20,
																			pageList : [
																					20,
																					40,
																					60,
																					80,
																					100,
																					120,
																					140,
																					160,
																					200 ],
																			fit : true,
																			fitColumns : true,
																			nowrap : false,
																			border : false,
																			idField : 'id',
																			sortName : 'id',
																			sortOrder : 'asc',
																			frozenColumns : [ [ {
																				title : '序号',
																				field : 'id',
																				width : 150,
																				sortable : true,
																				checkbox : true
																			} ] ],
																			columns : [ [
																					{
																						title : '卡号',
																						field : 'zddz',
																						width : 100
																					},
																					{
																						title : '编号',
																						field : 'personcode',
																						width : 100
																					},
																					{
																						title : '姓名',
																						field : 'personname',
																						width : 100
																					},
																					{
																						title : '矿区',
																						field : 'mineareaname',
																						width : 100
																					},
																					{
																						title : '中段',
																						field : 'layer',
																						width : 100
																					},
																					{
																						title : '基站',
																						field : 'senid',
																						width : 100
																					},
																					{
																						title : '时间',
																						field : 'readtime',
																						width : 150
																					} ] ],

																		});

													},

													onClose : function() {
														$("#ui_readinfo_dialog")
																.dialog(
																		'destroy'); //销毁dialog对象
													}
												});

							},

							onRowContextMenu : function(e, rowIndex, rowData) {
								e.preventDefault();
								$(this).datagrid('unselectAll');
								$(this).datagrid('selectRow', rowIndex);
								$('#menu').menu('show', {
									left : e.pageX,
									top : e.pageY
								});
							}
						});

	});

	function _search() {
		datagrid.datagrid('load', dj.serializeObject($('#searchForm')));
	}
	function cleanSearch() {
		datagrid.datagrid('load', {});
		$('#searchForm input').val('');
	}
	function exportd() {
		Export('考勤信息', $('#perattendancedatagrid'))

	}
</script>
</head>
<body class="easyui-layout" data-options="fit:true">
	<div data-options="region:'north',border:false,title:'过滤条件'"
		style="height: 55px;overflow: hidden;" align="left">
		<form id="searchForm">
			<table class="tableForm datagrid-toolbar"
				style="width: 100%;height: 100%;">
				<tr>

					<th>编号：</th>
					<td><input name="personcode" style="width:120px;" />
					<th>姓名：</th>
					<td><input name="personname" style="width:120px;" /></td>
					<th>日期起：</th>
					<td><input class="easyui-datebox" name="intimeStart"
						style="width:120px;" /></td>
					<th>止：</th>
					<td><input class="easyui-datebox" name="intimeEnd"
						style="width:120px;" /></td>
					<td colspan="6"><a href="javascript:void(0);"
						class="easyui-linkbutton" onclick="_search();">过滤</a><a
						href="javascript:void(0);" class="easyui-linkbutton"
						onclick="cleanSearch();">取消</a></td>
				</tr>

			</table>
		</form>
	</div>
	<div data-options="region:'center',border:false"
		style="overflow: hidden;">
		<table id="perattendancedatagrid"></table>
	</div>

	<div id="menu" class="easyui-menu" style="width:120px;display: none;">
		<!-- <div onclick="append();" data-options="iconCls:'icon-add'">增加</div>
		<div onclick="remove();" data-options="iconCls:'icon-remove'">删除</div>
		<div onclick="edit();" data-options="iconCls:'icon-edit'">编辑</div>
		 -->
		<div onclick="exportd();" data-options="iconCls:'icon-edit'">导出</div>
	</div>

</body>
</html>